Orders
List orders
Lists orders for the locations the app is connected to as POS receiver. Without since, results are newest first. With since, results drain oldest first from that exclusive checkpoint; while has_more is true, repeat with starting_after set to the last order id from the previous page. starting_after must be an order owned by the app and requires since. Set a page size from 1 to 100. Money is in integer cents; line-item modifiers reflect the directly-selected (first-level) options.
List orders
curl --request GET \
--url https://api.maple.inc/v1/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.maple.inc/v1/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.maple.inc/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"object": "order",
"id": "<string>",
"livemode": true,
"created": 123,
"status": "<string>",
"payment_status": "<string>",
"location_id": "<string>",
"fulfillment_type": "<string>",
"scheduled_for": "<string>",
"delivery_address": {
"street": "<string>",
"unit": "<string>",
"city": "<string>",
"state": "<string>",
"zip": "<string>",
"notes": "<string>"
},
"customer": {
"name": "<string>",
"phone": "<string>",
"phone_last_four": "<string>"
},
"line_items": [
{
"name": "<string>",
"menu_entity_id": "<string>",
"quantity": 123,
"base_price": 123,
"tax": 123,
"modifiers": [
{
"name": "<string>",
"menu_entity_id": "<string>",
"quantity": 123,
"price": 123
}
]
}
],
"totals": {
"currency": "<string>",
"subtotal": 123,
"tax": 123,
"surcharge": 123,
"tip": 123,
"delivery_fee": 123,
"delivery_tip": 123,
"total": 123
},
"external_id": "<string>",
"payment": {
"provider": "<string>",
"status": "<string>",
"payment_link_url": "<string>"
}
}
],
"has_more": true
}{
"_tag": "DeveloperApiBadRequest",
"message": "<string>"
}{
"_tag": "DeveloperApiUnauthorized",
"message": "<string>"
}{
"_tag": "DeveloperApiForbidden",
"code": "insufficient_scope",
"message": "<string>"
}Authorizations
API key — mpk_test_… for the sandbox, mpk_live_… for production. Issued by Maple during partner onboarding.
Query Parameters
Pattern:
^[+-]?\d*\.?\d+(?:[Ee][+-]?\d+)?$Was this page helpful?
⌘I
List orders
